407 Требуется аутентификация прокси - apt

0

Моя школьная сеть находится за прокси-сервером, в котором из кампуса, если я хочу обновить мою систему с помощью apt, мне нужно использовать аутентификацию. Для этого я создал файл /etc/apt/apt.conf , который содержит информацию аутентификации прокси, следующим образом:

Acquire::http::proxy "http://username:[email protected]:port/";
Acquire::https::proxy "http://username:[email protected]:port/";
Acquire::ftp::proxy "http://username:[email protected]:port/";

Кроме того, мой пароль содержит специальный символ $ , который я заменил %24 из онлайн-рекомендаций. После выполнения команды sudo apt-get update я все равно получаю ошибку:

407  Proxy Authentication Required

Но я знаю, что мои учетные данные верны, поскольку я могу войти в систему для обычного просмотра в Chrome / Firefox. Любые идеи или предложения по решению этой проблемы?

    
задан Omari Celestine 27.08.2017 в 14:44
источник

0 ответов